﻿namespace ProjectAirFighter.Entities;

/// <summary>
/// Класс-сущность "Истребитель"
/// </summary>
public class EntityAirFighter : EntityAirCraft
{
    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличия Переднего Горизонтального Оперения(ПГО)
    /// </summary>
    public bool Pgo { get; private set; }

    /// <summary>
    /// Признак (опция) наличия ракет
    /// </summary>
    public bool Rockets { get; private set; }

    /// <summary>
    /// Инициализация полей объекта-класса истребителя
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес истребителя</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="pgo">Признак наличия ПГО</param>
    /// <param name="rockets">Признак наличия ракет"</param>
    public EntityAirFighter(int speed, double weight, Color bodyColor, Color additionalColor, bool pgo, bool rockets) : base(speed, weight, bodyColor)
    {
        AdditionalColor = additionalColor;
        Pgo = pgo;
        Rockets = rockets;
    }

}